#
# Change the time that daily cron jobs run, primarily so that log periods
# will be close to calendar days.
#
# Also, make sure anacron isn't installed otherwise, our cron jobs won't run
# because they will assume anacron is handling cron jobs.  On RedHat, anacron
# is installed by default even though it isn't used so we want to explicitly
# remove it

class base::cron {
    package { 'anacron': ensure => absent }

    file {
        '/etc/crontab':
            source => "puppet:///modules/base/cron/etc/crontab.$::operatingsystem";
    }
}

class base::cron::filter-user-noise inherits base::cron {
    file { '/etc/filter-syslog/cron-filter-user-noise':
        ensure => present,
        source => 'puppet:///modules/base/cron/etc/filter-syslog/cron-filter-user-noise'
    }
}