# newsyslog config for SA systems

class base::newsyslog::messages::sa inherits base::newsyslog {
    # Since the default newsyslog config for messages isn't using the
    # definition, the override has to remove that file and create another.
    file { "/etc/newsyslog.daily/messagesSA": 
        ensure => absent,
    }

   # Rotate /var/log/messages into AFS and analyze it.
   Base::Newsyslog::Config['messages'] {
        frequency => "daily",
        directory => "/var/log",
        restart   => "hup $messagesPIDFile",
        archive   => "/afs/ir/service/clients/logs",
        log_owner => "root",
        log_group => "root",
        log_mode  => 640,
        logs      => [ "messages" ],
        analyze   => "/usr/bin/filter-syslog",
   }
}