# override default sa newsyslog config for messages

class base::newsyslog::messages::sa::override (
                $clientdir = '', 
                $mode = '640', 
                $save_num = '15',
                $group = 'root') inherits base::newsyslog::messages::sa {

   # Rotate /var/log/messages into AFS and analyze it.
   Base::Newsyslog::Config["messages"] {
        frequency => "daily",
        directory => "/var/log",
        restart   => "hup $messagesPIDFile",
        archive   => "/afs/ir/service/clients/$clientdir/logs",
        log_owner => "root",
        log_group => $group,
        log_mode  => $mode,
        logs      => [ "messages" ],
        analyze   => "/usr/bin/filter-syslog",
        save_num  => $save_num,
   }
}