# create rsyslog.conf

define base::syslog::config::rsyslog(
    $ensure         = 'present',
    $source         = undef,
    $owner          = 'root',
    $group          = 'root',
    $mode           = '0644',
    $replace        = true,
) {
  if $source {
    $template = undef
  } else {
    $template = template('base/syslog/rsyslog.conf.erb')
  }
  file { $name:
    ensure  => $ensure,
    source  => $source,
    content => $template,
    owner   => $owner,
    group   => $group,
    mode    => $mode,
    replace => $replace,
    notify  => Service['syslog'],
  }
}